//--------------------------------------------------------------------
// Antiunity.mq4
// 
//--------------------------------------------------------------- 1 --
#property copyright "Copyright  RomanBesT, 5  2012"

//--------------------------------------------------------------- 2 --
#include <stdlib.mqh>
#include <stderror.mqh>
#include <WinUser32.mqh>
//--------------------------------------------------------------- 3 --
#include <Variables_AU.mqh>   //   
#include <Terminal.mqh>    //  
#include <Events.mqh>      //    , .
#include <Inform.mqh>      //  
#include <Trade.mqh>       //  
#include <Open_Ord.mqh>    //     
#include <Open_Ord_balance_line.mqh> //    -       
#include <Close_All.mqh>   //      
#include <Tral_Stop_All.mqh>   //  StopLoss   
#include <Lot_MM.mqh>      //   
#include <Criterion.mqh>//  
#include <Errors.mqh>      //   .
//--------------------------------------------------------------- 4 --
int init()                             // .  init
  {
  
   IsExpertStopped = false;
   if (!IsTradeAllowed())  {Comment("   ");IsExpertStopped = true; return (0);}      
  // if (!IsTesting()){if (IsExpertEnabled())    Comment("   ");else  Comment("  \"  \"");}   
      
   //   
   Level_old=MarketInfo(Symbol(),MODE_STOPLEVEL );//.  
   Level_Freeze = MarketInfo(Symbol(),MODE_FREEZELEVEL ); 
   Spread = MarketInfo(Symbol(),MODE_SPREAD);
   Tick = MarketInfo(Symbol(), MODE_TICKSIZE);    //M    
   Terminal();                         //    
//-------------------------------------------------------------------  
   if(Monitor==true)
    {
    int a,y;
    for(a=0,y=5;a<=4;a++)
      {
      string N=DoubleToStr(a,0);
  
      ObjectCreate(N,OBJ_LABEL,0,0,0,0,0);
      ObjectSet(N,OBJPROP_CORNER,3);
      ObjectSet(N,OBJPROP_XDISTANCE,5);
      ObjectSet(N,OBJPROP_YDISTANCE,y);
      y+=20;
      }  
    }
      
   return;                             //   init() 
  }
//-----------------------------------------------------------------------------
int start()                            // .  start
  {  
      if(Time[0] == prevtime)   return(0);  //  
      prevtime = Time[0];                   //    ,      

 //----------------------------------------------------------------------------
  if (IsExpertStopped) {Comment("   !");    return (0); }   
  if (IsExpertFailed)  {Comment(" !  ."); return (0); }
 
 //-------------      --------------------------------------------     
  AO1 =  iAO(Symbol(), s_signal_period, 1);
  AO2 =  iAO(Symbol(), s_signal_period, 2);
  
  Lips = iAlligator(Symbol(), s_signal_period, JawPeriod, JawShift, TeethPeriod, TeethShift, LipsPeriod, LipsShift, AlligatorMethod, AlligatorPrice, MODE_GATORLIPS, 1); 
  Teeth = iAlligator(Symbol(), s_signal_period, JawPeriod, JawShift, TeethPeriod, TeethShift, LipsPeriod, LipsShift, AlligatorMethod, AlligatorPrice, MODE_GATORTEETH, 1);
  //   -         ,   
  fractal_h = iFractals(Symbol(), s_signal_period, MODE_UPPER, 3);
  if(fractal_h!=0) { upfractal=iFractals(Symbol(), s_signal_period, MODE_UPPER, 3); time_cur_up = TimeCurrent();} 
  fractal_l = iFractals(Symbol(), s_signal_period, MODE_LOWER, 3);
  if(fractal_l!=0)  { dwfractal=iFractals(Symbol(), s_signal_period, MODE_LOWER, 3); time_cur_dw = TimeCurrent();}   
//-------------  -  ,      ----------   
  Terminal();                         //    
  Events();                           //   
  Trade (Criterion());      //  
  Inform(0);                          //   
   
//-------------    --------------------------------------------------------------
  if(Monitor==true)
    {
     string str="Balance: "+DoubleToStr(AccountBalance(),2)+" $";
     ObjectSetText("0",str,10,"Arial Black",DarkOrange);
    
     str="Profit: "+DoubleToStr(AccountProfit(),2)+" $";
     ObjectSetText("1",str,10,"Arial Black",Salmon);
    
     str="Free Margine: "+DoubleToStr(AccountFreeMargin(),2)+" $";
     ObjectSetText("2",str,10,"Arial Black",Gold);
    
     str="OrdersTotal: "+DoubleToStr(OrdersTotal(),0);
     ObjectSetText("3",str,10,"Arial Black",MediumAquamarine);
    
     if (Lot_MM()==false)              //     .
             return;                   //   .  
     str="Lots_Next: "+DoubleToStr(Lots_New,2);
     ObjectSetText("4",str,10,"Arial Black",Olive);
    }
   
   return;                             //   start()
  }
//-------------------------------------------------------------------------------------------
int deinit()                           // .  deinit()
  {
   Inform(-1);                         //   
   //----------------------------------------------------------------------------------------
  if(Monitor==true)
    {
    for(int a=0;a<=4;a++)
      {
      string N=DoubleToStr(a,0);
      ObjectDelete(N);
      } 
    }
//-------------------------------------------------------------------------------------------
   return;                             //   deinit()
  }
//-------------------------------------------------------------------------------------------


